Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.message.notification
Class MmNotificationPortImpl

    java.lang.Object
      hr.tis.mgw.client.message.notification.MmNotificationPortImpl

All Implemented Interfaces:
  org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort, java.rmi.Remote

Deprecated. Deprecated for mGw version 2.

public class MmNotificationPortImpl
extends java.lang.Object
implements org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort

Implementation of `org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort` that processes incoming messages from gateway, and triggers apropriate method on registered `MessageListener`. Triggering of `MessageListener` is performed in a new thread to avoid possible blocking of web service threads in case of bad listener implementations.

Following dependencies have to be set:

- `MessageManager`, for acquiring MMS attachments in case of MMS message received
- `MessageListener`, for notifying it about received messages

Constructor Summary
`MmNotificationPortImpl()` Deprecated.

Method Summary
`MessageListener` | `getMessageListener()` Deprecated.
`MessageManager` | `getMessageManager()` Deprecated.
`void` | `notifyMessageReception(java.lang.String routeId, org.csapi.www.schema.parlayx.mm.v1_0.MessageRef messageRef)` Deprecated. Triggered when notification is received from message gateway.
`void` | `setMessageListener(MessageListener messageListener)` Deprecated. Method for registering MessageListener that will asynchronously accept incoming messages and delivery reports from gateway.
`void` | `setMessageManager(MessageManager messageManager)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MmNotificationPortImpl

    public MmNotificationPortImpl()

  Deprecated.

Method Detail

### notifyMessageReception

    public void notifyMessageReception(java.lang.String routeId,
                                       org.csapi.www.schema.parlayx.mm.v1_0.MessageRef messageRef)
                                throws java.rmi.RemoteException,
                                       org.csapi.www.wsdl.parlayx.mm.v1_0.notification.ApplicationException

  Deprecated.
  Triggered when notification is received from message gateway. `MmNotificationServletEndpoint` delegates notifications through this method.

  Specified by:
    `notifyMessageReception` in interface `org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort`
  Parameters:
    `routeId` - gateway route ID, or registration ID per Parlay X specification
    `messageRef` - MessageRef instance
  Throws:
    `java.rmi.RemoteException` - thrown when there was network error
    `org.csapi.www.wsdl.parlayx.mm.v1_0.notification.ApplicationException` - thrown when there was internal application error

### setMessageManager

    public void setMessageManager(MessageManager messageManager)

  Deprecated.

### getMessageManager

    public MessageManager getMessageManager()

  Deprecated.

### setMessageListener

    public void setMessageListener(MessageListener messageListener)

  Deprecated.
  Method for registering MessageListener that will asynchronously accept incoming messages and delivery reports from gateway.

  Parameters:
    `messageListener` - MessageListener instance

### getMessageListener

    public MessageListener getMessageListener()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.